#
# Yiming Song(ys765), Stephanie Chan(spc87)
# Final Project
# 5/19/17
# Play recorded track from trackn.txt file where n = integer command line argument
#

import pygame
import os
import time
import pickle
from pygame.locals import *
import sys

# Initialize pygame music mixer
pygame.mixer.pre_init(44100,-16,2,2048)
pygame.mixer.init()
pygame.init()

# Array of keyboard sound files
keysound = ['1.wav','2.wav','3.wav','4.wav','5.wav','6.wav','7.wav','8.wav','9.wav','10.wav','11.wav','12.wav','13.wav','14.wav','15.wav','16.wav','17.wav','18.wav','19.wav','20.wav','21.wav','22.wav','23.wav','24.wav','25.wav','26.wav']

# Pass in track number as argument
track_no = int(sys.argv[1])

if ("track%i.txt" % track_no) in os.listdir("tracks"):
    track = []
    with open(("tracks/track%i.txt" % track_no),"rb") as file_track:
        track = pickle.load(file_track)
    for i in range(len(track)):
        key, key_time = track[i]
        time.sleep(key_time)
        pygame.mixer.music.load(key) # Load sound file
        pygame.mixer.music.play(0) # Play sound file
    time.sleep(1)
